Index: modules/dnet-orgs-database-application/trunk/src/main/resources/sql/schema.sql
===================================================================
--- modules/dnet-orgs-database-application/trunk/src/main/resources/sql/schema.sql	(revision 57803)
+++ modules/dnet-orgs-database-application/trunk/src/main/resources/sql/schema.sql	(revision 57804)
@@ -174,7 +174,7 @@
 	count(DISTINCT c.oa_original_id) as n_conflicts
 FROM organizations org
 	LEFT OUTER JOIN openaire_simrels e ON (org.id = e.local_id AND e.oa_original_id NOT LIKE 'openorgs____::%' AND e.reltype = 'suggested')
-	LEFT OUTER JOIN openaire_simrels c ON (org.id = c.local_id AND c.oa_original_id     LIKE 'openorgs____::%' AND e.reltype = 'suggested')
+	LEFT OUTER JOIN openaire_simrels c ON (org.id = c.local_id AND c.oa_original_id     LIKE 'openorgs____::%' AND c.reltype = 'suggested')
 GROUP BY org.id;
 	
 CREATE VIEW organizations_simple_view AS SELECT
Index: modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_form_dedup_events.html
===================================================================
--- modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_form_dedup_events.html	(revision 57803)
+++ modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_form_dedup_events.html	(revision 57804)
@@ -1,95 +1,104 @@
-<h2>Duplicates</h2>
-
-<div class="card-body text-muted" ng-if="events.duplicates.length == 0">
-	No duplicates
-</div>
+<div class="card-body">
+	<div class="card">
+		<div class="card-header bg-primary text-white py-1">Duplicates</div>
+		
+		<div class="card-body text-muted" ng-if="events.duplicates.length == 0">
+			No duplicates
+		</div>
+					
+		<table class="table table-sm mt-2"  ng-if="events.duplicates.length > 0">
+			<thead>
+				<tr class="d-flex">
+					<th class="col-4 pl-3" style="border-top: none;">Related organization</th>
+					<th class="col-1 text-center" style="border-top: none;">Acronym</th>
+					<th class="col-1 text-center" style="border-top: none;">Country</th>
+					<th class="col-4" style="border-top: none;">Source</th>
+					<th class="col-2" style="border-top: none;"></th>
+				</tr>
+			</thead>
+			<tbody>
+				<tr class="d-flex" ng-repeat="sr in events.duplicates">
+					<td class="col-4 pl-3">
+						{{sr.oaName}}
+						<span class="small" ng-if="sr.oaUrl" ><br /><b>URL: </b><a href="{{sr.oaUrl}}" target="_blank">{{sr.oaUrl}}</a></span>
+					</td>
+					<td class="col-1 text-center small">{{sr.oaAcronym}}</td>
+					<td class="col-1 text-center small"><img ng-src="resources/images/flags/{{sr.oaCountry}}.gif" /> {{sr.oaCountry}}</td>
+					<td class="col-4 small">
+						<b>Collected from:</b> {{sr.oaCollectedFrom}}<br />
+						<b>Original Id:</b> <span class="text-monospace">{{sr.oaOriginalId}}</span>
+					</td>
+					<td class="col-2 text-right">
+						<div class="btn-group btn-group-toggle btn-group-sm" data-toggle="buttons">
+							<label class="btn" ng-class="{'btn-danger' : sr.relType == 'is_different', 'btn-outline-danger' : sr.relType != 'is_different'}">
+								<input type="radio" autocomplete="off" ng-model="sr.relType" value="is_different" ng-class="{'active' : sr.relType == 'is_different'}"><i class="fas fa-times fa-fw"></i>
+							</label>
+							<label class="btn" ng-class="{'btn-info' : sr.relType == 'suggested', 'btn-outline-info' : sr.relType != 'suggested'}">
+								<input type="radio" autocomplete="off" ng-model="sr.relType" value="suggested" ng-class="{'active' : sr.relType == 'suggested'}"><i class="fas fa-question fa-fw"></i>
+							</label>
+							<label class="btn" ng-class="{'btn-success' : sr.relType == 'is_similar', 'btn-outline-success' : sr.relType != 'is_similar'}">
+								<input type="radio" autocomplete="off" ng-model="sr.relType" value="is_similar" ng-class="{'active' : sr.relType == 'is_similar'}"/><i class="fas fa-check fa-fw"></i>
+							</label>
+						</div>		
+					</td>
+				</tr>
+			</tbody>
+		</table>
+		
+		<div class="card-footer text-right" ng-if="events.duplicates.length > 0">
+			<button class="btn btn-sm btn-primary" ng-click="saveDuplicates()">save</button>			
+		</div>
+	</div>
+	
+	
+	<div class="card">
+		<div class="card-header bg-primary text-white py-1">Conflicts</div>
+	
+			<div class="card-body text-muted" ng-if="events.conflicts.length == 0">
+				No conflicts
+			</div>
+						
+			<table class="table table-sm mt-2"  ng-if="events.conflicts.length > 0">
+				<thead>
+					<tr class="d-flex">
+						<th class="col-4 pl-3" style="border-top: none;">Related organization</th>
+						<th class="col-1 text-center" style="border-top: none;">Acronym</th>
+						<th class="col-1 text-center" style="border-top: none;">Country</th>
+						<th class="col-4" style="border-top: none;">Original ID</th>
+						<th class="col-2" style="border-top: none;"></th>
+					</tr>
+				</thead>
+				<tbody>
+					<tr class="d-flex" ng-repeat="sr in events.conflicts">
+						<td class="col-4 pl-3">
+							{{sr.oaName}}
+							<span class="small" ng-if="sr.oaUrl" ><br /><b>URL: </b><a href="{{sr.oaUrl}}" target="_blank">{{sr.oaUrl}}</a></span>
+						</td>
+						<td class="col-1 text-center small">{{sr.oaAcronym}}</td>
+						<td class="col-1 text-center small"><img ng-src="resources/images/flags/{{sr.oaCountry}}.gif" /> {{sr.oaCountry}}</td>
+						<td class="col-4 small">
+							<a href="#!/edit/0/{{sr.oaOriginalId}}"><span class="text-monospace">{{sr.oaOriginalId}}</span></a>
+						</td>
+						<td class="col-2 text-right">
+							<div class="btn-group btn-group-toggle btn-group-sm" data-toggle="buttons">
+								<label class="btn" ng-class="{'btn-danger' : sr.relType == 'is_different', 'btn-outline-danger' : sr.relType != 'is_different'}">
+									<input type="radio" autocomplete="off" ng-model="sr.relType" value="is_different" ng-class="{'active' : sr.relType == 'is_different'}"><i class="fas fa-times fa-fw"></i>
+								</label>
+								<label class="btn" ng-class="{'btn-info' : sr.relType == 'suggested', 'btn-outline-info' : sr.relType != 'suggested'}">
+									<input type="radio" autocomplete="off" ng-model="sr.relType" value="suggested" ng-class="{'active' : sr.relType == 'suggested'}"><i class="fas fa-question fa-fw"></i>
+								</label>
+								<label class="btn" ng-class="{'btn-success' : sr.relType == 'is_similar', 'btn-outline-success' : sr.relType != 'is_similar'}">
+									<input type="radio" autocomplete="off" ng-model="sr.relType" value="is_similar" ng-class="{'active' : sr.relType == 'is_similar'}"/><i class="fas fa-check fa-fw"></i>
+								</label>
+							</div>		
+						</td>
+					</tr>
+				</tbody>
+			</table>
 			
-<table class="table table-sm mt-2"  ng-if="events.duplicates.length > 0">
-	<thead>
-		<tr>
-			<th class="pl-3" style="border-top: none;">Related organization</th>
-			<th class="text-center" style="border-top: none;">Acronym</th>
-			<th class="text-center" style="border-top: none;">Country</th>
-			<th style="border-top: none;">Source</th>
-			<th style="border-top: none;"></th>
-		</tr>
-	</thead>
-	<tbody>
-		<tr ng-repeat="sr in events.duplicates">
-			<td class="pl-3">
-				{{sr.oaName}}
-				<span class="small" ng-if="sr.oaUrl" ><br /><b>URL: </b><a href="{{sr.oaUrl}}" target="_blank">{{sr.oaUrl}}</a></span>
-			</td>
-			<td class="text-center small">{{sr.oaAcronym}}</td>
-			<td class="text-center small"><img ng-src="resources/images/flags/{{sr.oaCountry}}.gif" /> {{sr.oaCountry}}</td>
-			<td class="small">
-				<b>Collected from:</b> {{sr.oaCollectedFrom}}<br />
-				<b>Original Id:</b> <span class="text-monospace">{{sr.oaOriginalId}}</span>
-			</td>
-			<td class="text-right">
-				<div class="btn-group btn-group-toggle btn-group-sm" data-toggle="buttons">
-					<label class="btn" ng-class="{'btn-danger' : sr.relType == 'is_different', 'btn-outline-danger' : sr.relType != 'is_different'}">
-						<input type="radio" autocomplete="off" ng-model="sr.relType" value="is_different" ng-class="{'active' : sr.relType == 'is_different'}"><i class="fas fa-times fa-fw"></i>
-					</label>
-					<label class="btn" ng-class="{'btn-info' : sr.relType == 'suggested', 'btn-outline-info' : sr.relType != 'suggested'}">
-						<input type="radio" autocomplete="off" ng-model="sr.relType" value="suggested" ng-class="{'active' : sr.relType == 'suggested'}"><i class="fas fa-question fa-fw"></i>
-					</label>
-					<label class="btn" ng-class="{'btn-success' : sr.relType == 'is_similar', 'btn-outline-success' : sr.relType != 'is_similar'}">
-						<input type="radio" autocomplete="off" ng-model="sr.relType" value="is_similar" ng-class="{'active' : sr.relType == 'is_similar'}"/><i class="fas fa-check fa-fw"></i>
-					</label>
-				</div>		
-			</td>
-		</tr>
-	</tbody>
-</table>
-
-<div class="card-footer" ng-if="events.duplicates.length > 0">
-	<button class="btn btn-sm btn-primary" ng-click="saveDuplicates">save</button>			
+			<div class="card-footer text-right" ng-if="events.conflicts.length > 0">
+				<button class="btn btn-sm btn-primary">todo</button>			
+			</div>
+	</div>
 </div>
 
-
-<!--  -->
-<h2>Conflicts</h2>
-
-<div class="card-body text-muted" ng-if="events.conflicts.length == 0">
-	No conflicts
-</div>
-			
-<table class="table table-sm mt-2"  ng-if="events.conflicts.length > 0">
-	<thead>
-		<tr>
-			<th class="pl-3" style="border-top: none;">Related organization</th>
-			<th class="text-center" style="border-top: none;">Acronym</th>
-			<th class="text-center" style="border-top: none;">Country</th>
-			<th style="border-top: none;"></th>
-		</tr>
-	</thead>
-	<tbody>
-		<tr ng-repeat="sr in events.conflicts">
-			<td class="pl-3">
-				<a href="#!/edit/0/{{sr.oaOriginalId}}">{{sr.oaName}}</a>
-				<span class="small" ng-if="sr.oaUrl" ><br /><b>URL: </b><a href="{{sr.oaUrl}}" target="_blank">{{sr.oaUrl}}</a></span>
-			</td>
-			<td class="text-center small">{{sr.oaAcronym}}</td>
-			<td class="text-center small"><img ng-src="resources/images/flags/{{sr.oaCountry}}.gif" /> {{sr.oaCountry}}</td>
-			<td class="text-right">
-				<div class="btn-group btn-group-toggle btn-group-sm" data-toggle="buttons">
-					<label class="btn" ng-class="{'btn-danger' : sr.relType == 'is_different', 'btn-outline-danger' : sr.relType != 'is_different'}">
-						<input type="radio" autocomplete="off" ng-model="sr.relType" value="is_different" ng-class="{'active' : sr.relType == 'is_different'}"><i class="fas fa-times fa-fw"></i>
-					</label>
-					<label class="btn" ng-class="{'btn-info' : sr.relType == 'suggested', 'btn-outline-info' : sr.relType != 'suggested'}">
-						<input type="radio" autocomplete="off" ng-model="sr.relType" value="suggested" ng-class="{'active' : sr.relType == 'suggested'}"><i class="fas fa-question fa-fw"></i>
-					</label>
-					<label class="btn" ng-class="{'btn-success' : sr.relType == 'is_similar', 'btn-outline-success' : sr.relType != 'is_similar'}">
-						<input type="radio" autocomplete="off" ng-model="sr.relType" value="is_similar" ng-class="{'active' : sr.relType == 'is_similar'}"/><i class="fas fa-check fa-fw"></i>
-					</label>
-				</div>		
-			</td>
-		</tr>
-	</tbody>
-</table>
-
-<div class="card-footer" ng-if="events.conflicts > 0">
-	<button class="btn btn-sm btn-primary">save</button>			
-</div>
-	
\ No newline at end of file
Index: modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_info.html
===================================================================
--- modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_info.html	(revision 57803)
+++ modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_info.html	(revision 57804)
@@ -1,6 +1,13 @@
-<p class="text-muted">
-	<b>ID: </b>{{info.id}}<br />
-	<b>Name: </b>{{info.name}}<br />
-	<b>Created at</b> {{info.creationDate | date:'MMMM d, y HH:mm:ss'}} <b>by</b> {{info.createdBy}}<br />
-	<b>Modified at</b> {{info.modificationDate | date:'MMMM d, y HH:mm:ss'}} <b>by</b> {{info.modifiedBy}}
-</p>
\ No newline at end of file
+<h4>{{info.name}}</h4>
+
+<div class="row">
+	<div class="col-xl-8 col-lg-10">
+		<div class="alert alert-success" ng-if="message">{{message}}</div>
+		<p class="text-muted"  ng-if="!message">
+			<b>ID: </b>{{info.id}}<br />
+			<b>Created at</b> {{info.creationDate | date:'MMMM d, y HH:mm:ss'}} <b>by</b> {{info.createdBy}}<br />
+			<b>Modified at</b> {{info.modificationDate | date:'MMMM d, y HH:mm:ss'}} <b>by</b> {{info.modifiedBy}}
+		</p>
+	</div>
+</div>
+
Index: modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_tabs_menu.html
===================================================================
--- modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_tabs_menu.html	(revision 57803)
+++ modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_tabs_menu.html	(revision 57804)
@@ -4,7 +4,7 @@
 			<a href="javascript:void(0)" class="nav-link" ng-class="{'active': selected == 1}" ng-click="loadOrg()">Metadata Management</a>
 		</li>
 		<li class="nav-item">
-			<a href="javascript:void(0)" class="nav-link" ng-class="{'active': selected == 2}" ng-click="loadDedupEvents()">Dedup Events <span class="badge badge-secondary">{{info.nDuplicates}}</span> <span class="badge badge-secondary">{{info.nConflicts}}</span></a>
+			<a href="javascript:void(0)" class="nav-link" ng-class="{'active': selected == 2}" ng-click="loadDedupEvents()">Dedup Events <span class="badge badge-primary ml-2">{{info.nDuplicates}}</span> <span class="badge badge-danger">{{info.nConflicts}}</span></a>
 		</li>
 	</ul>
 </div>
Index: modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/edit.html
===================================================================
--- modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/edit.html	(revision 57803)
+++ modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/edit.html	(revision 57804)
@@ -1,16 +1,11 @@
-<div class="row">
-	<div class="col-xl-8 col-lg-10">
-		<div class="alert alert-success" ng-if="message">{{message}}</div>
-		<organization-info ng-if="orgId && !message" info="info"></organization-info>
-	</div>
-</div>
+<organization-info info="info" message="message"></organization-info>
 
 <div class="row">
 	<div class="col-xl-8 col-lg-10">
 		<div class="card">
 			<org-tabs-menu  org-id="{{orgId}}" info="info" org="org" events="events" selected="currentTab"></org-tabs-menu>
-			<org-form-metadata     org-id="{{orgId}}" org="org"       vocabularies="vocabularies" ng-if="currentTab == 1"></org-form-metadata>
-			<org-form-dedup-events org-id="{{orgId}}" events="events" vocabularies="vocabularies" ng-if="currentTab == 2"></org-form-dedup-events>
+			<org-form-metadata     org-id="{{orgId}}" org="org"       vocabularies="vocabularies" info-method="getInfo()" ng-if="currentTab == 1"></org-form-metadata>
+			<org-form-dedup-events org-id="{{orgId}}" events="events" vocabularies="vocabularies" info-method="getInfo()" ng-if="currentTab == 2"></org-form-dedup-events>
 		</div>
 	</div>
 </div>
Index: modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/js/organizations.js
===================================================================
--- modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/js/organizations.js	(revision 57803)
+++ modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/js/organizations.js	(revision 57804)
@@ -1,26 +1,5 @@
 var orgsModule = angular.module('orgs', ['ngRoute', 'checklist-model']);
 
-orgsModule.service('orgInfoService', function($http) {
-    this.info = {};
-    this.getInfo = function(id, f) {
-    	if (id) {
-    		if (this.info.id == id) {
-    			f(this.info);
-    		} else {
-		    	$http.get('api/organizations/info?id=' + id).then(function successCallback(res) {
-		    		if((typeof res.data) == 'string') { alert("Session expired !"); location.reload(true); }
-		    		this.info = res.data;
-		    		f(angular.copy(this.info));
-				}, function errorCallback(res) {
-					alert('ERROR: ' + res.data.error + ' (' + res.data.message + ')');
-				});
-	    	}
-    	} else {
-    		f({});
-    	}
-    };
-});
-
 orgsModule.service('vocabulariesService', function($http) {
     this.vocs = {};
     this.getVocs = function(f) {
@@ -42,7 +21,8 @@
 	return {
 		restrict: 'E',
 		scope: {
-			info : '='
+			'info'    : '=',
+			'message' : '='
 		},
 		templateUrl: 'resources/html/part/org_info.html'
      }
@@ -95,7 +75,8 @@
 			'orgId'        : '@',
 			'org'          : '=',
 			'vocabularies' : '=',
-			'mode'         : '@'  // insert or update
+			'mode'         : '@',  // insert or update
+			'infoMethod'   : '&'
 		},
 		templateUrl: 'resources/html/part/org_form_metadata.html',
 		link: function(scope, element, attrs, ctrl) {
@@ -159,7 +140,8 @@
 		scope: {
 			'orgId'        : '@',
 			'events'       : '=',
-			'vocabularies' : '='
+			'vocabularies' : '=',
+			'infoMethod'   : '&'
 		},
 		templateUrl: 'resources/html/part/org_form_dedup_events.html',
 		link: function(scope, element, attrs, ctrl) {
@@ -167,8 +149,9 @@
 				$http.defaults.headers.post["Content-Type"] = "application/json;charset=UTF-8";
 				$http.post('api/organizations/duplicates', scope.events.duplicates).then(function successCallback(res) {
 					if((typeof res.data) == 'string') { alert("Session expired !"); location.reload(true); }
+					if (scope.infoMethod)             { scope.infoMethod(); }
 					alert('Events updated !!!');
-					scope.events = res.data;
+					scope.events.duplicates = res.data;
 				}, function errorCallback(res) {
 					alert('ERROR: ' + res.data.error + ' (' + res.data.message + ')');
 				});
@@ -305,14 +288,23 @@
 });
 
 
-orgsModule.controller('showEditCtrl', function ($scope, $http, $routeParams, $route, $location, $timeout, orgInfoService, vocabulariesService) {
+orgsModule.controller('showEditCtrl', function ($scope, $http, $routeParams, $route, $location, $timeout, vocabulariesService) {
 	$scope.orgId = $routeParams.id;
 	$scope.org = {};
 	$scope.events = {};
-	
 	$scope.info = {};
-	orgInfoService.getInfo($scope.orgId, function(info) { $scope.info = info; });
 	
+	$scope.getInfo = function() {
+    	$http.get('api/organizations/info?id=' + $scope.orgId).then(function successCallback(res) {
+    		if((typeof res.data) == 'string') { alert("Session expired !"); location.reload(true); }
+    			$scope.info = res.data;
+			}, function errorCallback(res) {
+				alert('ERROR: ' + res.data.error + ' (' + res.data.message + ')');
+			});
+    };
+	
+    $scope.getInfo();
+	
 	$scope.vocabularies = {};
 	vocabulariesService.getVocs(function(vocs) { $scope.vocabularies = vocs; });
 	