Index: modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/funders/anr2db.xml
===================================================================
--- modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/funders/anr2db.xml	(revision 57952)
+++ modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/TransformationRuleDSResources/TransformationRuleDSResourceType/funders/anr2db.xml	(revision 57953)
@@ -35,40 +35,56 @@
     <xsl:variable name="Id">
         <xsl:value-of select="normalize-space(.//column[@isID='true'])"/>
     </xsl:variable>
+    <xsl:template name="terminate">
+        <xsl:message terminate="yes"> record is not compliant, transformation is
+            interrupted. </xsl:message>
+    </xsl:template>
     <xsl:template match="/">
-        <record>
+        <xsl:choose>
+            <xsl:when test=".//column[@name = 'TitreUk (SIM et autres sources complémentaires)'] | .//column[@name = 'TitreFr (SIM et autres sources complémentaires)'] | .//column[@name = 'Projet Nom Complet']">
+                <record>
 
-            <xsl:copy-of select=".//*[local-name() = 'header']"/>
+                    <xsl:copy-of select=".//*[local-name() = 'header']"/>
 
-            <metadata>
-                <ROWS>
-                    <xsl:variable name="projectId"
-                        select="concat($namespacePrefix, '::', $Id)"/>
-                   <!-- <xsl:variable name="startDate"
+                    <metadata>
+                        <ROWS>
+                            <xsl:variable name="projectId"
+                                select="concat($namespacePrefix, '::', $Id)"/>
+                            <!-- <xsl:variable name="startDate"
                         select="replace(.//column[@name = 'PROJECT STARTING DATE'], '/', '-')"/>
                     <xsl:variable name="endDate"
                         select="replace(.//column[@name = 'PROJECT COMPLETION DATE'], '/', '-')"/>
                    -->
 
-                    <ROW table="projects">
-                        <FIELD name="_dnet_resource_identifier_">
-                            <xsl:value-of select="$projectId"/>
-                        </FIELD>
-                        <FIELD name="id">
-                            <xsl:value-of select="$projectId"/>
-                        </FIELD>
-                        <FIELD name="code">
-                            <xsl:value-of
-                                select="$Id"/>
-                        </FIELD>
-                        <FIELD name="title">
-                            <xsl:value-of select=".//column[@name = 'TitreUk (SIM et autres sources complémentaires)'] | .//column[@name = 'Projet Nom Complet']"/>
-                        </FIELD>
+                            <ROW table="projects">
+                                <FIELD name="_dnet_resource_identifier_">
+                                    <xsl:value-of select="$projectId"/>
+                                </FIELD>
+                                <FIELD name="id">
+                                    <xsl:value-of select="$projectId"/>
+                                </FIELD>
+                                <FIELD name="code">
+                                    <xsl:value-of
+                                        select="$Id"/>
+                                </FIELD>
+                                <xsl:choose>
+                                    <xsl:when test=".//column[@name = 'TitreUk (SIM et autres sources complémentaires)']">
+                                        <FIELD name="title">
+                                            <xsl:value-of select=".//column[@name = 'TitreUk (SIM et autres sources complémentaires)']"/>
+                                        </FIELD>
+                                    </xsl:when>
+                                    <xsl:otherwise>
+                                        <FIELD name="title">
+                                            <xsl:value-of select=".//column[@name = 'TitreFr (SIM et autres sources complémentaires)'] | .//column[@name = 'Projet Nom Complet']"/>
+                                        </FIELD>
+                                    </xsl:otherwise>
+                                </xsl:choose>
 
-                            <FIELD name="acronym">
-                                <xsl:value-of select=".//column[@name = 'Acronyme (SIM)'] | .//column[@name = 'Acronyme']"/>
-                            </FIELD>
-                     <!--   <FIELD name="startdate" type="date" format="{$dateFormat}">
+
+                                <FIELD name="acronym">
+                                    <xsl:value-of select=".//column[@name = 'Acronyme (SIM)'] | .//column[@name = 'Acronyme']"/>
+                                </FIELD>
+                                <!--   <FIELD name="startdate" type="date" format="{$dateFormat}">
                             <xsl:value-of select="$startDate"/>
                         </FIELD>
                         <FIELD name="enddate" type="date" format="{$dateFormat}">
@@ -75,36 +91,42 @@
                             <xsl:value-of select="$endDate"/>
                         </FIELD>-->
 
-                        <FIELD name="collectedfrom">
-                            <xsl:value-of select="$varDataSourceId"/>
-                        </FIELD>
-                        <FIELD name="provenanceactionclass"
-                            >sysimport:crosswalk:entityregistry</FIELD>
-                        <FIELD name="provenanceactionscheme">dnet:provenanceActions</FIELD>
-                        <FIELD name="oa_mandate_for_publications" type="boolean">false</FIELD>
-                        <FIELD name="lastupdate" type="date"><xsl:value-of select="current-dateTime()"/></FIELD>
-                    </ROW>
-                    <ROW table="project_fundingpath">
-                        <FIELD name="_dnet_resource_identifier_">
-                            <xsl:value-of select="concat($fundingId, '@@', $projectId)"/>
-                        </FIELD>
-                        <FIELD name="funding">
-                            <xsl:value-of select="$fundingId"/>
-                        </FIELD>
-                        <FIELD name="project">
-                            <xsl:value-of select="$projectId"/>
-                        </FIELD>
-                       <!-- <FIELD name="startdate" type="date" format="{$dateFormat}">
+                                <FIELD name="collectedfrom">
+                                    <xsl:value-of select="$varDataSourceId"/>
+                                </FIELD>
+                                <FIELD name="provenanceactionclass"
+                                    >sysimport:crosswalk:entityregistry</FIELD>
+                                <FIELD name="provenanceactionscheme">dnet:provenanceActions</FIELD>
+                                <FIELD name="oa_mandate_for_publications" type="boolean">false</FIELD>
+                                <FIELD name="lastupdate" type="date"><xsl:value-of select="current-dateTime()"/></FIELD>
+                            </ROW>
+                            <ROW table="project_fundingpath">
+                                <FIELD name="_dnet_resource_identifier_">
+                                    <xsl:value-of select="concat($fundingId, '@@', $projectId)"/>
+                                </FIELD>
+                                <FIELD name="funding">
+                                    <xsl:value-of select="$fundingId"/>
+                                </FIELD>
+                                <FIELD name="project">
+                                    <xsl:value-of select="$projectId"/>
+                                </FIELD>
+                                <!-- <FIELD name="startdate" type="date" format="{$dateFormat}">
                             <xsl:value-of select="$startDate"/>
                         </FIELD>
                         <FIELD name="enddate" type="date" format="{$dateFormat}">
                             <xsl:value-of select="$endDate"/>
                         </FIELD> -->
-                    </ROW>
+                            </ROW>
 
-                </ROWS>
-            </metadata>
-        </record>
+                        </ROWS>
+                    </metadata>
+                </record>
+            </xsl:when>
+            <xsl:otherwise>
+                <xsl:call-template name="terminate"></xsl:call-template>
+            </xsl:otherwise>
+        </xsl:choose>
+
     </xsl:template>
 </xsl:stylesheet>
 ]]>