Index: modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/dashboard/dashboard.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/dashboard/dashboard.component.ts	(revision 57989)
+++ modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/dashboard/dashboard.component.ts	(revision 57990)
@@ -26,8 +26,8 @@
 
 export class DashboardComponent implements OnInit {
 
-  reposOfUser: Repository[] = [];
-  selectedRepo: Repository = null;
+  reposOfUser: RepositorySnippet[] = [];
+  selectedRepo: RepositorySnippet = null;
   // tilesView: boolean;
   errorMessage: string;
   noRepos: string;
@@ -106,7 +106,7 @@
 
   getReposOfUser(): void {
     this.loadingMessage = loadingReposMessage;
-    this.repositoryService.getRepositoriesOfUser(this.authService.getUserEmail())
+    this.repositoryService.getRepositoriesOfUser()
       .subscribe(
         repos => {
           this.sortRepositoriesByName(repos);
@@ -129,11 +129,11 @@
       );
   }
 
-  sortRepositoriesByName(repos: Repository[]) {
+  sortRepositoriesByName(repos: RepositorySnippet[]) {
     this.reposOfUser = repos.sort( function(a, b) {
-      if (a.officialName < b.officialName) {
+      if (a.officialname < b.officialname) {
         return -1;
-      } else if (a.officialName > b.officialName) {
+      } else if (a.officialname > b.officialname) {
         return 1;
       } else {
         return 0;
@@ -147,7 +147,7 @@
     this.getSelectedRepositorySummaryInfo(this.selectedRepo);
   }
 
-  getSelectedRepositorySummaryInfo(selectedRepo: Repository) {
+  getSelectedRepositorySummaryInfo(selectedRepo: RepositorySnippet) {
 
     // Aggregations
     this.loadingAggregationsMessage = loadingAggregationHistory;
@@ -343,7 +343,7 @@
   }
 
   getCorrectName() {
-    const temp = this.selectedRepo.officialName.split('|');
+    const temp = this.selectedRepo.officialname.split('|');
     let correctName = temp[0];
     let repoName = temp[0];
     for (let i = 1; i < temp.length; i++) {
@@ -368,7 +368,7 @@
   }
 
   getRepositoriesSummaryInfo(userEmail: string) {
-    this.repositoryService.getRepositoriesSummaryInfo(userEmail).subscribe(
+    this.repositoryService.getRepositoriesSummaryInfo().subscribe(
       repositories => { this.repositories = repositories; this.loading=false },
       error => { console.log('getRepSumError'); this.loading=false },
       () => { console.log(this.repositories); this.loading=false }
Index: modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/compatibility/compatibility-validation-history.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/compatibility/compatibility-validation-history.component.ts	(revision 57989)
+++ modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/compatibility/compatibility-validation-history.component.ts	(revision 57990)
@@ -95,13 +95,7 @@
 
 
   storedJobs () {
-    this.valService.getStoredJobsNew('ant.lebesis@gmail.com',
-                                    'Compatibility Test',
-                                    '0',
-                                    '10',
-                                    '2018-02-01',
-                                    '2018-02-28',
-                                    'successful').subscribe(
+    this.valService.getStoredJobsNew().subscribe(
       jobs => this.jobs = jobs,
       error => console.log(error.status),
       () => {
@@ -118,7 +112,7 @@
     this.successMessage = '';
     this.failureMessage = '';
     const params: URLParameter[] = [];
-    params.push({key: 'user', value: [this.userEmail]});
+    // params.push({key: 'user', value: [this.userEmail]});
     if ( this.chosenJobType ) {
       params.push({key: 'jobType', value: [this.chosenJobType]});
     }
@@ -173,8 +167,8 @@
     }
   }
 
-  resubmitJob (id: string, email: string) {
-    this.valService.reSubmitJobForValidation(id, email).subscribe(
+  resubmitJob (id: string) {
+    this.valService.reSubmitJobForValidation(id).subscribe(
       res => this.successMessage = `The job with id ${id} was successfully resubmitted`,
       error => {
         this.failureMessage = `Could not resubmit the job with id ${id}`;
Index: modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/compatibility/compatibility-validate-type.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/compatibility/compatibility-validate-type.component.ts	(revision 57989)
+++ modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/compatibility/compatibility-validate-type.component.ts	(revision 57990)
@@ -107,7 +107,7 @@
   /* retrieves the baseUrl list for the registered repositories of the user */
   getBaseUrlList() {
     this.loadingMessage = loadingReposMessage;
-    this.repoService.getUrlsOfUserRepos(this.authService.getUserEmail())
+    this.repoService.getUrlsOfUserRepos()
       .subscribe(
         repos => this.baseUrlList = repos.sort( function(a , b) {
           if (a < b ) {
Index: modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/content/content-events.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/content/content-events.component.ts	(revision 57989)
+++ modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/content/content-events.component.ts	(revision 57990)
@@ -34,7 +34,7 @@
 
   getDatasourcesOfUser() {
     this.loadingMessage = loadingRepoMessage;
-    this.brokerService.getDatasourcesOfUser(this.authService.getUserEmail()).subscribe(
+    this.brokerService.getDatasourcesOfUser().subscribe(
       res => {
         this.datasourcesOfUser = res['datasourcesOfUser'];
       },
Index: modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/content/content-notifications.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/content/content-notifications.component.ts	(revision 57989)
+++ modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/pages/content/content-notifications.component.ts	(revision 57990)
@@ -33,7 +33,7 @@
     this.errorMessage = '';
     this.loadingMessage = loadingSubscriptions;
     this.subKeys = [];
-    this.brokerService.getSimpleSubscriptionsOfUser(this.authService.getUserEmail()).subscribe(
+    this.brokerService.getSimpleSubscriptionsOfUser().subscribe(
       subscrs => this.subscrOfUser = subscrs,
       error => {
         console.log(`getSimpleSubscriptions returned error`);
Index: modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/services/repository.service.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/services/repository.service.ts	(revision 57989)
+++ modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/services/repository.service.ts	(revision 57990)
@@ -74,10 +74,10 @@
     return this.httpClient.get<RepositorySnippet[]>(url, headerOptions);
   }
 
-  getRepositoriesOfUser(userEmail: string): Observable<Repository[]> {
-    const url = `${this.apiUrl}getRepositoriesOfUser/${userEmail}/0/100`;
+  getRepositoriesOfUser(): Observable<RepositorySnippet[]> {
+    const url = `${this.apiUrl}getRepositoriesOfUser/0/100`;
     console.log(`knocking on: ${url}`);
-    return this.httpClient.get<Repository[]>(url, headerOptions);
+    return this.httpClient.get<RepositorySnippet[]>(url, headerOptions);
   }
 
 
@@ -94,8 +94,8 @@
   }
 
 
-  getUrlsOfUserRepos(userEmail: string): Observable<string[]> {
-    const url = `${this.apiUrl}getUrlsOfUserRepos/${userEmail}/0/100/`;
+  getUrlsOfUserRepos(): Observable<string[]> {
+    const url = `${this.apiUrl}getUrlsOfUserRepos/0/100/`;
     console.log(`knocking on: ${url}`);
     return this.httpClient.get<string[]>(url, headerOptions);
   }
@@ -171,8 +171,8 @@
     return this.httpClient.get<RepositorySnippet[]>(url, {params, withCredentials: true});
   }
 
-  getRepositoriesSummaryInfo(userEmail: string): Observable<RepositorySummaryInfo[]> {
-    const url = `${this.dashboardAPIUrl}getRepositoriesSummary/${userEmail}/0/100`;
+  getRepositoriesSummaryInfo(): Observable<RepositorySummaryInfo[]> {
+    const url = `${this.dashboardAPIUrl}getRepositoriesSummary/0/100`;
     console.log(`knocking on: ${url}`);
     return this.httpClient.get<RepositorySummaryInfo[]>(url, headerOptions);
   }
Index: modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/services/broker.service.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/services/broker.service.ts	(revision 57989)
+++ modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/services/broker.service.ts	(revision 57990)
@@ -31,8 +31,8 @@
     return this.httpClient.post<EventsPage>(url, body, headerOptions);
   }
 
-  getDatasourcesOfUser(userEmail: string) {
-    const url = `${this.apiUrl}getDatasourcesOfUser?user=${userEmail}&includeShared=false&includeByOthers=false`;
+  getDatasourcesOfUser() {
+    const url = `${this.apiUrl}getDatasourcesOfUser?includeShared=false&includeByOthers=false`;
     console.log(`knocking on: ${url}`);
 
     return this.httpClient.get(url, headerOptions);
@@ -52,8 +52,8 @@
     return this.httpClient.get<EventsPage>(url, headerOptions);
   }
 
-  getSimpleSubscriptionsOfUser(userEmail: string): Observable<Map<string, SimpleSubscriptionDesc[]>> {
-    const url = `${this.apiUrl}getSimpleSubscriptionsOfUser/${userEmail}/`;
+  getSimpleSubscriptionsOfUser(): Observable<Map<string, SimpleSubscriptionDesc[]>> {
+    const url = `${this.apiUrl}getSimpleSubscriptionsOfUser/`;
     console.log(`knocking on: ${url}`);
 
     return this.httpClient.get<Map<string, SimpleSubscriptionDesc[]>>(url, headerOptions);
Index: modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/services/validator.service.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/services/validator.service.ts	(revision 57989)
+++ modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/services/validator.service.ts	(revision 57990)
@@ -37,15 +37,8 @@
     return this.httpClient.get<string[]>(url, headerOptions);
   }
 
-  getStoredJobsNew(userEmail: string,
-                   jobType: string,
-                   offset: string,
-                   limit: string,
-                   dateFrom: string,
-                   dateTo: string,
-                   validationStatus: string): Observable<StoredJob[]> {
-    let url = `${this.apiUrl}getStoredJobsNew?user=${userEmail}&jobType=${encodeURI(jobType)}`;
-    url = `${url}&offset=${offset}&limit=${limit}&dateFrom=${dateFrom}&dateTo=${dateTo}&validationStatus=${validationStatus}`;
+  getStoredJobsNew(): Observable<StoredJob[]> {
+    const url = `${this.apiUrl}`;
     console.log(`knocking on: ${url}`);
 
     return this.httpClient.get<StoredJob[]>(url, headerOptions);
@@ -66,8 +59,8 @@
     return this.httpClient.get<InterfaceInformation>(url, headerOptions);
   }
 
-  reSubmitJobForValidation(id: string, userEmail: string) {
-    const url = `${this.apiUrl}reSubmitJobForValidation/${userEmail}/${id}`;
+  reSubmitJobForValidation(id: string) {
+    const url = `${this.apiUrl}reSubmitJobForValidation/${id}`;
     console.log(`knocking on: ${url}`);
     const body = {};
 
Index: modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/services/monitor.service.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/services/monitor.service.ts	(revision 57989)
+++ modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/services/monitor.service.ts	(revision 57990)
@@ -31,7 +31,7 @@
   getJobsOfUser(params: URLParameter[]): Observable<JobsOfUser> {
     let url = `${this.apiUrl}getJobsOfUser`;
     for (const param of params) {
-      if (param.key === 'user') {
+      if (param.key === 'offset') {
         url += `?${param.key}=${param.value[0]}`;
       } else {
         url += `&${param.key}=${param.value[0]}`;
Index: modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/shared/reusablecomponents/repository-tiles.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/shared/reusablecomponents/repository-tiles.component.ts	(revision 57989)
+++ modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/shared/reusablecomponents/repository-tiles.component.ts	(revision 57990)
@@ -1,5 +1,5 @@
 import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
-import { Repository } from '../../domain/typeScriptClasses';
+import { RepositorySnippet } from '../../domain/typeScriptClasses';
 import { RepositoryService } from '../../services/repository.service';
 import { AuthenticationService } from '../../services/authentication.service';
 import { loadingReposMessage, loadingUserRepoInfoEmpty, reposRetrievalError } from '../../domain/shared-messages';
@@ -10,7 +10,7 @@
 })
 
 export class RepositoryTilesComponent implements OnInit {
-  reposOfUser: Repository[] = [];
+  reposOfUser: RepositorySnippet[] = [];
   // tilesView: boolean;
   errorMessage: string;
   warningMessage: string;
@@ -30,12 +30,12 @@
 
   getReposOfUser(): void {
     this.loadingMessage = loadingReposMessage;
-    this.repoService.getRepositoriesOfUser(this.authService.getUserEmail())
+    this.repoService.getRepositoriesOfUser()
       .subscribe(
         repos => this.reposOfUser = repos.sort( function(a, b) {
-          if (a.officialName < b.officialName) {
+          if (a.officialname < b.officialname) {
             return -1;
-          } else if (a.officialName > b.officialName) {
+          } else if (a.officialname > b.officialname) {
             return 1;
           } else {
             return 0;
@@ -58,7 +58,7 @@
       );
   }
 
-  getLinkToNext(repo: Repository): string {
+  getLinkToNext(repo: RepositorySnippet): string {
     if (this.parent === 'metrics') {
       if (repo.piwikInfo) {
         if (repo.piwikInfo.validated === true) {
@@ -74,7 +74,7 @@
     }
   }
 
-  getBadgeCSS(repo: Repository): string {
+  getBadgeCSS(repo: RepositorySnippet): string {
     if (this.parent === 'metrics') {
       if (repo.piwikInfo) {
         if (repo.piwikInfo.validated === true) {
@@ -88,7 +88,7 @@
     }
   }
 
-  getBadgeText(repo: Repository): string {
+  getBadgeText(repo: RepositorySnippet): string {
     if (this.parent === 'metrics') {
       if (repo.piwikInfo) {
         if (repo.piwikInfo.validated === true) {
Index: modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/shared/sidemenu/sidemenu.component.ts
===================================================================
--- modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/shared/sidemenu/sidemenu.component.ts	(revision 57989)
+++ modules/uoa-repository-dashboard-gui/branches/new-ui/src/app/shared/sidemenu/sidemenu.component.ts	(revision 57990)
@@ -5,7 +5,7 @@
 import { AuthenticationService } from '../../services/authentication.service';
 import { environment } from '../../../environments/environment';
 import {FormGroup} from "@angular/forms";
-import {Repository} from '../../domain/typeScriptClasses';
+import {RepositorySnippet} from '../../domain/typeScriptClasses';
 import {loadingReposMessage, loadingUserRepoInfoEmpty, reposRetrievalError} from '../../domain/shared-messages';
 import {RepositoryService} from '../../services/repository.service';
 
@@ -27,7 +27,7 @@
   toggle: number[] = [];
 
   userEmail: string;
-  reposOfUser: Repository[] = [];
+  reposOfUser: RepositorySnippet[] = [];
   skipGridView = false;
 
   constructor(public authService: AuthenticationService,
@@ -100,7 +100,7 @@
   }
 
   getReposOfUser(): void {
-    this.repositoryService.getRepositoriesOfUser(this.authService.getUserEmail())
+    this.repositoryService.getRepositoriesOfUser()
       .subscribe(
         repos => { this.reposOfUser = repos; },
         error => { console.log(error); },