Index: modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/ContextDSResources/ContextDSResourceType/risis-science-innovation-policy_community.xml
===================================================================
--- modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/ContextDSResources/ContextDSResourceType/risis-science-innovation-policy_community.xml	(nonexistent)
+++ modules/dnet-openaireplus-profiles/trunk/src/main/resources/eu/dnetlib/test/profiles/ContextDSResources/ContextDSResourceType/risis-science-innovation-policy_community.xml	(revision 58043)
@@ -0,0 +1,56 @@
+<RESOURCE_PROFILE>
+    <HEADER>
+        <RESOURCE_IDENTIFIER value="74d850c6-f4b3-4654-9dc4-a392057a915e_Q29udGV4dERTUmVzb3VyY2VzL0NvbnRleHREU1Jlc291cmNlVHlwZQ=="/>
+        <RESOURCE_TYPE value="ContextDSResourceType"/>
+        <RESOURCE_KIND value="ContextDSResources"/>
+        <RESOURCE_URI value=""/>
+        <DATE_OF_CREATION value="2020-01-30T16:51:45+00:00"/>
+    </HEADER>
+    <BODY>
+        <CONFIGURATION>
+            <context id="science-innovation-policy" label="Science and Innovation Policy Studies" type="community">
+                <param name="status">manager</param>
+                <param name="description">The scope of this community is to provide access to research products that are relevant for studies in science and innovation policy</param>
+                <param name="logourl">https://p0.piqsels.com/preview/240/719/588/innovation-machine-learning-technology.jpg</param>
+                <param name="name">Science and Innovation Policy Studies</param>
+                <param name="manager">alessia.bardi@isti.cnr.it</param>
+                <param name="subject"/>
+                <param name="suggestedAcknowledgement"/>
+                <param name="zenodoCommunity"/>
+                <param name="creationdate">2020-01-30T17:00:00</param>
+                <category claim="false" id="science-innovation-policy::projects" label="Domain-specific projects">
+                    <concept claim="false" id="science-innovation-policy::projects::1" label="RISIS">
+                        <param name="suggestedAcknowledgement"/>
+                        <param name="projectfullname">Research infrastructure for research and innovation policy studies</param>
+                        <param name="rule"/>
+                        <param name="CD_PROJECT_NUMBER">313082</param>
+                        <param name="url"/>
+                        <param name="funder">EC</param>
+                        <param name="funding">EC | FP7 | SP4 | INFRA</param>
+                        <param name="example"/>
+                    </concept>
+                    <concept claim="false" id="science-innovation-policy::projects::2" label="RISIS2">
+                        <param name="suggestedAcknowledgement"/>
+                        <param name="projectfullname">European Research Infrastructure for Science, technology and Innovation policy Studies 2</param>
+                        <param name="rule"/>
+                        <param name="CD_PROJECT_NUMBER">824091</param>
+                        <param name="url"/>
+                        <param name="funder">EC</param>
+                        <param name="funding">EC | H2020 | RIA</param>
+                        <param name="example"/>
+                    </concept>
+                </category>
+                <category claim="false" id="science-innovation-policy::subcommunity" label="Domain-specific communities"/>
+                <category claim="false" id="science-innovation-policy::contentproviders" label="Domain-specific content providers"/>
+                <category claim="false" id="science-innovation-policy::zenodocommunities" label="Domain-specific Zenodo Communities">
+                    <concept claim="false" id="science-innovation-policy::zenodocommunities::1" label="RISIS - Research infrastructure for research and innovation policy studies">
+                        <param name="zenodoid">risis</param>
+                        <param name="selcriteria"/>
+                    </concept>
+                </category>
+            </context>
+        </CONFIGURATION>
+        <STATUS/>
+        <SECURITY_PARAMETERS/>
+    </BODY>
+</RESOURCE_PROFILE>
\ No newline at end of file