Index: modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_details.html
===================================================================
--- modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_details.html	(revision 58215)
+++ modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_details.html	(revision 58216)
@@ -1,29 +1,29 @@
 <div class="card mb-3">
 	<div class="card-header bg-primary text-white py-1">Registered organization</div>
 	<table class="table table-sm table-condensed">
-		<tr>
-			<th>Name</th>
-			<td>{{org.name}}</td>
+		<tr class="d-flex">
+			<th class="col-4">Name</th>
+			<td class="col-8">{{org.name}}</td>
 		</tr>
-		<tr>
-			<th>Type</th>
-			<td>{{org.type}}</td>
+		<tr class="d-flex">
+			<th class="col-4">Type</th>
+			<td class="col-8">{{org.type}}</td>
 		</tr>
-		<tr>
-			<th>Place</th>
-			<td>{{org.city}}, {{org.country}}</td>
+		<tr class="d-flex">
+			<th class="col-4">Place</th>
+			<td class="col-8">{{org.city}}, {{org.country}}</td>
 		</tr>
-		<tr>
-			<th>Acronyms</th>
-			<td>{{org.acronyms.join(', ')}}</td>
+		<tr class="d-flex">
+			<th class="col-4">Acronyms</th>
+			<td class="col-8">{{org.acronyms.join(', ')}}</td>
 		</tr>
-		<tr>
-			<th>Also known as</th>
-			<td><span ng-repeat="n in org.otherNames">{{n.name}}<br /></span></td>
+		<tr class="d-flex">
+			<th class="col-4">Also known as</th>
+			<td class="col-8"><span ng-repeat="n in org.otherNames">{{n.name}}<br /></span></td>
 		</tr>
-		<tr>
-			<th>Urls</th>
-			<td><span ng-repeat="u in org.urls"><a href="{{u}}" target="_blank">{{u}}</a><br /></span></td>
+		<tr class="d-flex">
+			<th class="col-4">Urls</th>
+			<td class="col-8"><span ng-repeat="u in org.urls"><a href="{{u}}" target="_blank">{{u}}</a><br /></span></td>
 		</tr>
 	</table>
 </div>
Index: modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_form_dedup_events.html
===================================================================
--- modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_form_dedup_events.html	(revision 58215)
+++ modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_form_dedup_events.html	(revision 58216)
@@ -2,9 +2,9 @@
 	
 	<org-details org="currentOrgDetails"></org-details>
 
-	<org-duplicates duplicates="events.duplicates" save-function="saveDuplicates()"></org-duplicates>
+	<org-duplicates duplicates="events.duplicates" save-function="saveDuplicates()" show-save-button="1"></org-duplicates>
 					
-	<org-conflicts conflicts="events.conflicts" save-function="saveConflicts()"></org-conflicts>
+	<org-conflicts conflicts="events.conflicts" save-function="saveConflicts()" show-save-button="1"></org-conflicts>
 
 </div>
 
Index: modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_duplicates.html
===================================================================
--- modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_duplicates.html	(revision 58215)
+++ modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_duplicates.html	(revision 58216)
@@ -38,7 +38,7 @@
 		</tbody>
 	</table>
 	
-	<div class="card-footer text-right" ng-if="saveFunction && duplicates.length > 0">
+	<div class="card-footer text-right" ng-if="showSaveButton && duplicates.length > 0">
 		<button class="btn btn-sm btn-primary" ng-click="saveFunction()">save</button>			
 	</div>
 	
Index: modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_conflicts.html
===================================================================
--- modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_conflicts.html	(revision 58215)
+++ modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/html/part/org_conflicts.html	(revision 58216)
@@ -36,7 +36,7 @@
 		</tbody>
 	</table>
 
-	<div class="card-footer text-right" ng-if="saveFunction && conflicts.length > 0">
+	<div class="card-footer text-right" ng-if="showSaveButton && conflicts.length > 0">
 		<button class="btn btn-sm btn-primary" ng-click="saveFunction()">todo</button>
 	</div>
 </div>
\ No newline at end of file
Index: modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/js/organizations.js
===================================================================
--- modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/js/organizations.js	(revision 58215)
+++ modules/dnet-orgs-database-application/trunk/src/main/resources/static/resources/js/organizations.js	(revision 58216)
@@ -213,8 +213,9 @@
 	return {
 		restrict: 'E',
 		scope: {
-			'duplicates'   : '=',
-			'saveFunction' : '&'
+			'duplicates'     : '=',
+			'showSaveButton' : '@',
+			'saveFunction'   : '&'
 		},
 		templateUrl: 'resources/html/part/org_duplicates.html',
 		link: function(scope, element, attrs, ctrl) {}
@@ -225,8 +226,9 @@
 	return {
 		restrict: 'E',
 		scope: {
-			'conflicts'    : '=',
-			'saveFunction' : '&'
+			'conflicts'      : '=',
+			'showSaveButton' : '@',
+			'saveFunction'   : '&'
 		},
 		templateUrl: 'resources/html/part/org_conflicts.html',
 		link: function(scope, element, attrs, ctrl) {}